"""
Conversion pack for January 2016 (YC118.1) release
"""

CONVERSIONS = {
    # Renamed items
    "Basic Gyrostabilizer": "'Basic' Gyrostabilizer",
    "Basic Damage Control": "'Basic' Damage Control",
    "Micro Capacitor Battery I": "'Micro' Cap Battery",
    "ECM Burst I": "Burst Jammer I",
    "Small Capacitor Battery I": "Small Cap Battery I",
    "Basic Heat Sink": "'Basic' Heat Sink",
    "ECM - Ion Field Projector I": "Magnetometric ECM I",
    "Basic Signal Amplifier": "'Basic' Signal Amplifier",
    "Basic Tracking Enhancer": "'Basic' Tracking Enhancer",
    "ECM - Spatial Destabilizer I": "Gravimetric ECM I",
    "ECM - White Noise Generator I": "Radar ECM I",
    "ECM - Multispectral Jammer I": "Multispectral ECM I",
    "ECM - Phase Inverter I": "Ladar ECM I",
    "Medium Capacitor Battery I": "Medium Cap Battery I",
    "Large Capacitor Battery I": "Large Cap Battery I",
    "ECM Burst II": "Burst Jammer II",
    "Guristas Nova Citadel Cruise Missile": "Guristas Nova XL Cruise Missile",
    "Guristas Scourge Citadel Cruise Missile": "Guristas Scourge XL Cruise Missile",
    "Guristas Inferno Citadel Cruise Missile": "Guristas Inferno XL Cruise Missile",
    "Guristas Mjolnir Citadel Cruise Missile": "Guristas Mjolnir XL Cruise Missile",
    "ECM - Phase Inverter II": "Ladar ECM II",
    "ECM - Ion Field Projector II": "Magnetometric ECM II",
    "ECM - Multispectral Jammer II": "Multispectral ECM II",
    "ECM - Spatial Destabilizer II": "Gravimetric ECM II",
    "ECM - White Noise Generator II": "Radar ECM II",
    "Small Capacitor Battery II": "Small Cap Battery II",
    "Medium Capacitor Battery II": "Medium Cap Battery II",
    "Large Capacitor Battery II": "Large Cap Battery II",
    "'Limos' Citadel Cruise Launcher I": "'Limos' XL Cruise Launcher I",
    "Shock 'Limos' Citadel Torpedo Bay I": "Shock 'Limos' XL Torpedo Bay I",
    "X5 Prototype Engine Enervator": "X5 Enduring Stasis Webifier",
    "Fleeting Propulsion Inhibitor I": "Fleeting Compact Stasis Webifier",
    "Caldari Fuel Block": "Nitrogen Fuel Block",
    "Minmatar Fuel Block": "Hydrogen Fuel Block",
    "Amarr Fuel Block": "Helium Fuel Block",
    "Gallente Fuel Block": "Oxygen Fuel Block",
    "Small Ld-Acid Capacitor Battery I": "Small Compact Pb-Acid Cap Battery ",
    "Large Ld-Acid Capacitor Battery I": "Large Compact Pb-Acid Cap Battery",
    "F-23 Reciprocal Remote Sensor Booster": "F-23 Compact Remote Sensor Booster",
    "Coadjunct Linked Remote Sensor Booster": "Coadjunct Scoped Remote Sensor Booster",
    "Linked Remote Sensor Booster": "Linked Enduring Sensor Booster",
    "Low Frequency Sensor Suppressor I": "LFT Enduring Sensor Dampener",
    "Kapteyn Sensor Array Inhibitor I": "Kapteyn Compact Sensor Dampener",
    "Phased Muon Sensor Disruptor I": "Phased Muon Scoped Sensor Dampener",
    "F-293 Nutation Remote Tracking Computer": "F-293 Scoped Remote Tracking Computer",
    "Phase Switching Remote Tracking Computer": "P-S Compact Remote Tracking Computer",
    "Alfven Surface Remote Tracking Computer": "Alfven Enduring Remote Tracking Computer",
    "'Deluge' ECM Burst I": "Deluge Enduring Burst Jammer",
    "'Rash' ECM Emission I": "Rash Compact Burst Jammer",
    "'Cetus' ECM Shockwave I": "Cetus Scoped Burst Jammer",
    "J5 Prototype Warp Disruptor I": "J5 Enduring Warp Disruptor",
    "Faint Warp Disruptor I": "Faint Scoped Warp Disruptor",
    "Initiated Warp Disruptor I": "Initiated Compact Warp Disruptor",
    "J5b Phased Prototype Warp Scrambler I": "J5b Enduring Warp Scrambler",
    "Faint Epsilon Warp Scrambler I": "Faint Epsilon Scoped Warp Scrambler",
    "Initiated Harmonic Warp Scrambler I": "Initiated Compact Warp Scrambler",
    "Internal Force Field Array I": "IFFA Compact Damage Control",
    "Extruded Heat Sink I": "Extruded Compact Heat Sink",
    "Counterbalanced Weapon Mounts I": "Counterbalanced Compact Gyrostabilizer",
    "Medium Ld-Acid Capacitor Battery I": "Medium Compact Pb-Acid Cap Battery",
    "Alumel-Wired Sensor Augmentation": "Alumel-Wired Enduring Sensor Booster",
    "F-90 Positional Sensor Subroutines": "F-90 Compact Sensor Booster",
    "Optical Tracking Computer I": "Optical Compact Tracking Computer",
    "F-12 Nonlinear Tracking Processor": "F-12 Enduring Tracking Computer",
    "F-89 Synchronized Signal Amplifier": "F-89 Compact Signal Amplifier",
    "Fourier Transform Tracking Program": "Fourier Compact Tracking Enhancer",
    "Initiated Multispectral ECM I": "Initiated Enduring Multispectral ECM",
    "Basic Magnetic Field Stabilizer": "'Basic' Magnetic Field Stabilizer",
    "Magnetic Vortex Stabilizer I": "Vortex Compact Magnetic Field Stabilizer",
    "Mizuro's Modified Warp Disruptor": "Mizuro's Modified Heavy Warp Disruptor",
    "Hakim's Modified Warp Disruptor": "Hakim's Modified Heavy Warp Disruptor",
    "Gotan's Modified Warp Disruptor": "Gotan's Modified Heavy Warp Disruptor",
    "Tobias' Modified Warp Disruptor": "Tobias' Modified Heavy Warp Disruptor",
    "Mizuro's Modified Warp Scrambler": "Mizuro's Modified Heavy Warp Scrambler",
    "Hakim's Modified Warp Scrambler": "Hakim's Modified Heavy Warp Scrambler",
    "Gotan's Modified Warp Scrambler": "Gotan's Modified Heavy Warp Scrambler",
    "Tobias' Modified Warp Scrambler": "Tobias' Modified Heavy Warp Scrambler",
    "Cross-linked Bolt Array I": "Crosslink Compact Ballistic Control System",
    "Citadel Torpedo Battery": "XL Torpedo Battery",
    "Mjolnir Citadel Torpedo": "Mjolnir XL Torpedo",
    "Scourge Citadel Torpedo": "Scourge XL Torpedo",
    "Inferno Citadel Torpedo": "Inferno XL Torpedo",
    "Nova Citadel Torpedo": "Nova XL Torpedo",
    "Peripheral Weapon Navigation Diameter": "Peripheral Compact Target Painter",
    "Parallel Weapon Navigation Transmitter": "Parallel Enduring Target Painter",
    "Phased Weapon Navigation Array Generation Extron": "Phased Scoped Target Painter",
    "Induced Ion Field ECM I": "Morpheus Enduring Magnetometric ECM",
    "Compulsive Ion Field ECM I": "Aergia Compact Magnetometric ECM",
    "'Hypnos' Ion Field ECM I": "Hypnos Scoped Magnetometric ECM",
    "Induced Multispectral ECM I": "Induced Compact Multispectral ECM",
    "Compulsive Multispectral ECM I": "Compulsive Scoped Multispectral ECM",
    "Languid Phase Inversion ECM I": "Languid Enduring Ladar ECM",
    "Halting Phase Inversion ECM I": "Halting Compact Ladar ECM",
    "Enfeebling Phase Inversion ECM I": "Enfeebling Scoped Ladar ECM",
    "FZ-3a Disruptive Spatial Destabilizer ECM": "FZ-3a Enduring Gravimetric ECM",
    "CZ-4 Concussive Spatial Destabilizer ECM": "CZ-4 Compact Gravimetric ECM",
    "BZ-5 Neutralizing Spatial Destabilizer ECM": "BZ-5 Scoped Gravimetric ECM",
    "'Gloom' White Noise ECM": "Gloom Enduring Radar ECM",
    "'Shade' White Noise ECM": "Shade Compact Radar ECM",
    "'Umbra' White Noise ECM": "Umbra Scoped Radar ECM",
    "Dread Guristas ECM Multispectral Jammer": "Dread Guristas Multispectral ECM",
    "Kaikka's Modified ECM Multispectral Jammer": "Kaikka's Modified Multispectral ECM",
    "Thon's Modified ECM Multispectral Jammer": "Thon's Modified Multispectral ECM",
    "Vepas' Modified ECM Multispectral Jammer": "Vepas' Modified Multispectral ECM",
    "Estamel's Modified ECM Multispectral Jammer": "Estamel's Modified Multispectral ECM",
    "Citadel Torpedo Launcher I": "XL Torpedo Launcher I",
    "'Marshall' Ion Field Projector": "'Marshall' Magnetometric ECM",
    "'Gambler' Phase Inverter": "'Gambler' Ladar ECM",
    "'Plunderer' Spatial Destabilizer": "'Plunderer' Gravimetric ECM",
    "'Heist' White Noise Generator": "'Heist' Radar ECM",
    "'Ghost' ECM Burst": "'Ghost' Burst Jammer",
    "'Full Duplex' Ballistic Targeting System": "'Full Duplex' Ballistic Control System",
    "'Kindred' Stabilization Actuator I": "'Kindred' Gyrostabilizer",
    "Process-Interruptive Warp Disruptor": "'Interruptive' Warp Disruptor",
    "'Inception' Target Painter I": "'Inception' Target Painter",
    "Citadel Torpedoes": "XL Torpedoes",
    "'Shady' ECCM - Gravimetric I": "'Shady' Sensor Booster",
    "'Monopoly' Magnetic Field Stabilizer I": "'Monopoly' Magnetic Field Stabilizer",
    "'Bootleg' ECCM Projector I": "'Bootleg' Remote Sensor Booster",
    "'Marketeer' Tracking Computer I": "'Marketeer' Tracking Computer",
    "'Executive' Remote Sensor Dampener I": "'Executive' Remote Sensor Dampener",
    "'Radical' Damage Control I": "'Radical' Damage Control",
    "'Crucible' Small Capacitor Battery I": "'Crucible' Small Cap Battery",
    "'Censer' Medium Capacitor Battery I": "'Censer' Medium Cap Battery",
    "'Thurifer' Large Capacitor Battery I": "'Thurifer' Large Cap Battery",
    "Guristas Citadel Torpedo Battery": "Guristas XL Torpedo Battery",
    "Dread Guristas Citadel Torpedo Battery": "Dread Guristas XL Torpedo Battery",
    "Legion ECM Ion Field Projector": "Legion Magnetometric ECM",
    "Legion ECM Multispectral Jammer": "Legion Multispectral ECM",
    "Legion ECM Phase Inverter": "Legion Ladar ECM",
    "Legion ECM Spatial Destabilizer": "Legion Gravimetric ECM",
    "Legion ECM White Noise Generator": "Legion Radar ECM",
    "Guristas Nova Citadel Torpedo": "Guristas Nova XL Torpedo",
    "Guristas Inferno Citadel Torpedo": "Guristas Inferno XL Torpedo",
    "Guristas Scourge Citadel Torpedo": "Guristas Scourge XL Torpedo",
    "Guristas Mjolnir Citadel Torpedo": "Guristas Mjolnir XL Torpedo",
    "Citadel Cruise Missiles": "XL Cruise Missiles",
    "Scourge Citadel Cruise Missile": "Scourge XL Cruise Missile",
    "Nova Citadel Cruise Missile": "Nova XL Cruise Missile",
    "Inferno Citadel Cruise Missile": "Inferno XL Cruise Missile",
    "Mjolnir Citadel Cruise Missile": "Mjolnir XL Cruise Missile",
    "Citadel Cruise Launcher I": "XL Cruise Launcher I",

    # Converted items
    "Muon Coil Bolt Array I": "Crosslink Compact Ballistic Control System",
    "Multiphasic Bolt Array I": "Crosslink Compact Ballistic Control System",
    "'Pandemonium' Ballistic Enhancement": "Crosslink Compact Ballistic Control System",
    "Piercing ECCM Emitter I": "Coadjunct Scoped Remote Sensor Booster",
    "1Z-3 Subversive ECM Eruption": "Cetus Scoped Burst Jammer",
    "ECCM - Radar I": "Sensor Booster I",
    "ECCM - Ladar I": "Sensor Booster I",
    "ECCM - Magnetometric I": "Sensor Booster I",
    "ECCM - Gravimetric I": "Sensor Booster I",
    "ECCM - Omni I": "Sensor Booster I",
    "Beta-Nought Tracking Mode": "'Basic' Tracking Enhancer",
    "Azimuth Descalloping Tracking Enhancer": "'Basic' Tracking Enhancer",
    "F-AQ Delay-Line Scan Tracking Subroutines": "'Basic' Tracking Enhancer",
    "Beam Parallax Tracking Program": "'Basic' Tracking Enhancer",
    "GLFF Containment Field": "'Basic' Damage Control",
    "Interior Force Field Array": "'Basic' Damage Control",
    "F84 Local Damage System": "'Basic' Damage Control",
    "Systematic Damage Control": "'Basic' Damage Control",
    "'Boss' Remote Sensor Booster": "'Bootleg' Remote Sensor Booster",
    "'Entrepreneur' Remote Sensor Booster": "'Bootleg' Remote Sensor Booster",
    "Fleeting Progressive Warp Scrambler I": "Faint Epsilon Scoped Warp Scrambler",
    "ECCM Projector I": "Remote Sensor Booster I",
    "Sigma-Nought Tracking Mode I": "Fourier Compact Tracking Enhancer",
    "Auto-Gain Control Tracking Enhancer I": "Fourier Compact Tracking Enhancer",
    "F-aQ Phase Code Tracking Subroutines": "Fourier Compact Tracking Enhancer",
    "Monophonic Stabilization Actuator I": "'Kindred' Gyrostabilizer",
    "Initiated Ion Field ECM I": "Hypnos Scoped Magnetometric ECM",
    "Insulated Stabilizer Array": "'Basic' Magnetic Field Stabilizer",
    "Linear Flux Stabilizer": "'Basic' Magnetic Field Stabilizer",
    "Gauss Field Balancer": "'Basic' Magnetic Field Stabilizer",
    "Magnetic Vortex Stabilizer": "'Basic' Magnetic Field Stabilizer",
    "'Capitalist' Magnetic Field Stabilizer I": "'Monopoly' Magnetic Field Stabilizer",
    "Emergency Damage Control I": "IFFA Compact Damage Control",
    "F85 Peripheral Damage System I": "IFFA Compact Damage Control",
    "Pseudoelectron Containment Field I": "IFFA Compact Damage Control",
    "Micro Ld-Acid Capacitor Battery I": "'Micro' Cap Battery",
    "Micro Ohm Capacitor Reserve I": "'Micro' Cap Battery",
    "Micro F-4a Ld-Sulfate Capacitor Charge Unit": "'Micro' Cap Battery",
    "Micro Peroxide Capacitor Power Cell": "'Micro' Cap Battery",
    "Micro Capacitor Battery II": "'Micro' Cap Battery",
    "Lateral Gyrostabilizer": "'Basic' Gyrostabilizer",
    "F-M2 Weapon Inertial Suspensor": "'Basic' Gyrostabilizer",
    "Hydraulic Stabilization Actuator": "'Basic' Gyrostabilizer",
    "Stabilized Weapon Mounts": "'Basic' Gyrostabilizer",
    "'Hypnos' Multispectral ECM I": "Compulsive Scoped Multispectral ECM",
    "Fleeting Warp Disruptor I": "Faint Scoped Warp Disruptor",
    "'Mangonel' Heat Sink I": "'Trebuchet' Heat Sink I",
    "Heat Exhaust System": "'Basic' Heat Sink",
    "C3S Convection Thermal Radiator": "'Basic' Heat Sink",
    "'Boreas' Coolant System": "'Basic' Heat Sink",
    "Stamped Heat Sink": "'Basic' Heat Sink",
    "Extra Radar ECCM Scanning Array I": "F-90 Compact Sensor Booster",
    "Extra Ladar ECCM Scanning Array I": "F-90 Compact Sensor Booster",
    "Extra Gravimetric ECCM Scanning Array I": "F-90 Compact Sensor Booster",
    "Extra Magnetometric ECCM Scanning Array I": "F-90 Compact Sensor Booster",
    "Gravimetric Positional ECCM Sensor System I": "F-90 Compact Sensor Booster",
    "Radar Positional ECCM Sensor System I": "F-90 Compact Sensor Booster",
    "Omni Positional ECCM Sensor System I": "F-90 Compact Sensor Booster",
    "Ladar Positional ECCM Sensor System I": "F-90 Compact Sensor Booster",
    "Magnetometric Positional ECCM Sensor System I": "F-90 Compact Sensor Booster",
    "Conjunctive Radar ECCM Scanning Array I": "F-90 Compact Sensor Booster",
    "Conjunctive Ladar ECCM Scanning Array I": "F-90 Compact Sensor Booster",
    "Conjunctive Gravimetric ECCM Scanning Array I": "F-90 Compact Sensor Booster",
    "Conjunctive Magnetometric ECCM Scanning Array I": "F-90 Compact Sensor Booster",
    "Supplemental Scanning CPU I": "F-90 Compact Sensor Booster",
    "'Gonzo' Damage Control I": "'Radical' Damage Control",
    "'Penumbra' White Noise ECM": "Umbra Scoped Radar ECM",
    "ECCM - Omni II": "Sensor Booster II",
    "ECCM - Gravimetric II": "Sensor Booster II",
    "ECCM - Ladar II": "Sensor Booster II",
    "ECCM - Magnetometric II": "Sensor Booster II",
    "ECCM - Radar II": "Sensor Booster II",
    "Scattering ECCM Projector I": "Linked Enduring Sensor Booster",
    "Gravimetric Backup Array I": "Signal Amplifier I",
    "Ladar Backup Array I": "Signal Amplifier I",
    "Magnetometric Backup Array I": "Signal Amplifier I",
    "Multi Sensor Backup Array I": "Signal Amplifier I",
    "RADAR Backup Array I": "Signal Amplifier I",
    "Large Ohm Capacitor Reserve I": "Large Compact Pb-Acid Cap Battery",
    "Large F-4a Ld-Sulfate Capacitor Charge Unit": "Large Compact Pb-Acid Cap Battery",
    "Large Peroxide Capacitor Power Cell": "Large Compact Pb-Acid Cap Battery",
    "ECCM Projector II": "Remote Sensor Booster II",
    "Cross-Lateral Gyrostabilizer I": "Counterbalanced Compact Gyrostabilizer",
    "F-M3 Munition Inertial Suspensor": "Counterbalanced Compact Gyrostabilizer",
    "Pneumatic Stabilization Actuator I": "Counterbalanced Compact Gyrostabilizer",
    "'Langour' Drive Disruptor I": "X5 Enduring Stasis Webifier",
    "Patterned Stasis Web I": "Fleeting Compact Stasis Webifier",
    "'Tycoon' Remote Tracking Computer": "'Enterprise' Remote Tracking Computer",
    "'Economist' Tracking Computer I": "'Marketeer' Tracking Computer",
    "Gravimetric Backup Array II": "Signal Amplifier II",
    "Ladar Backup Array II": "Signal Amplifier II",
    "Magnetometric Backup Array II": "Signal Amplifier II",
    "Multi Sensor Backup Array II": "Signal Amplifier II",
    "RADAR Backup Array II": "Signal Amplifier II",
    "Faint Phase Inversion ECM I": "Enfeebling Scoped Ladar ECM",
    "'Prayer' Remote Tracking Computer": "P-S Compact Remote Tracking Computer",
    "Partial Weapon Navigation": "Phased Scoped Target Painter",
    "Basic RADAR Backup Array": "'Basic' Signal Amplifier",
    "Basic Ladar Backup Array": "'Basic' Signal Amplifier",
    "Basic Gravimetric Backup Array": "'Basic' Signal Amplifier",
    "Basic Magnetometric Backup Array": "'Basic' Signal Amplifier",
    "Basic Multi Sensor Backup Array": "'Basic' Signal Amplifier",
    "Emergency Magnetometric Scanners": "'Basic' Signal Amplifier",
    "Emergency Multi-Frequency Scanners": "'Basic' Signal Amplifier",
    "Emergency RADAR Scanners": "'Basic' Signal Amplifier",
    "Emergency Ladar Scanners": "'Basic' Signal Amplifier",
    "Emergency Gravimetric Scanners": "'Basic' Signal Amplifier",
    "Sealed RADAR Backup Cluster": "'Basic' Signal Amplifier",
    "Sealed Magnetometric Backup Cluster": "'Basic' Signal Amplifier",
    "Sealed Multi-Frequency Backup Cluster": "'Basic' Signal Amplifier",
    "Sealed Ladar Backup Cluster": "'Basic' Signal Amplifier",
    "Sealed Gravimetric Backup Cluster": "'Basic' Signal Amplifier",
    "Surplus RADAR Reserve Array": "'Basic' Signal Amplifier",
    "F-42 Reiterative RADAR Backup Sensors": "'Basic' Signal Amplifier",
    "Surplus Magnetometric Reserve Array": "'Basic' Signal Amplifier",
    "F-42 Reiterative Magnetometric Backup Sensors": "'Basic' Signal Amplifier",
    "Surplus Multi-Frequency Reserve Array": "'Basic' Signal Amplifier",
    "F-42 Reiterative Multi-Frequency Backup Sensors": "'Basic' Signal Amplifier",
    "Surplus Ladar Reserve Array": "'Basic' Signal Amplifier",
    "F-42 Reiterative Ladar Backup Sensors": "'Basic' Signal Amplifier",
    "Surplus Gravimetric Reserve Array": "'Basic' Signal Amplifier",
    "F-42 Reiterative Gravimetric Backup Sensors": "'Basic' Signal Amplifier",
    "Amplitude Signal Enhancer": "'Basic' Signal Amplifier",
    "'Acolyth' Signal Booster": "'Basic' Signal Amplifier",
    "Type-E Discriminative Signal Augmentation": "'Basic' Signal Amplifier",
    "F-90 Positional Signal Amplifier": "'Basic' Signal Amplifier",
    "Gravimetric Firewall": "'Firewall' Signal Amplifier",
    "Ladar Firewall": "'Firewall' Signal Amplifier",
    "Magnetometric Firewall": "'Firewall' Signal Amplifier",
    "Multi Sensor Firewall": "'Firewall' Signal Amplifier",
    "RADAR Firewall": "'Firewall' Signal Amplifier",
    "'Pacifier' Large Remote Armor Repairer": "'Peace' Large Remote Armor Repairer",
    "Monopulse Tracking Mechanism I": "F-12 Enduring Tracking Computer",
    "Alumel Radar ECCM Sensor Array I": "Alumel-Wired Enduring Sensor Booster",
    "Alumel Ladar ECCM Sensor Array I": "Alumel-Wired Enduring Sensor Booster",
    "Alumel Gravimetric ECCM Sensor Array I": "Alumel-Wired Enduring Sensor Booster",
    "Alumel Omni ECCM Sensor Array I": "Alumel-Wired Enduring Sensor Booster",
    "Alumel Magnetometric ECCM Sensor Array I": "Alumel-Wired Enduring Sensor Booster",
    "Supplemental Ladar ECCM Scanning Array I": "Alumel-Wired Enduring Sensor Booster",
    "Supplemental Gravimetric ECCM Scanning Array I": "Alumel-Wired Enduring Sensor Booster",
    "Supplemental Omni ECCM Scanning Array I": "Alumel-Wired Enduring Sensor Booster",
    "Supplemental Radar ECCM Scanning Array I": "Alumel-Wired Enduring Sensor Booster",
    "Supplemental Magnetometric ECCM Scanning Array I": "Alumel-Wired Enduring Sensor Booster",
    "Incremental Radar ECCM Scanning Array I": "Alumel-Wired Enduring Sensor Booster",
    "Incremental Ladar ECCM Scanning Array I": "Alumel-Wired Enduring Sensor Booster",
    "Incremental Gravimetric ECCM Scanning Array I": "Alumel-Wired Enduring Sensor Booster",
    "Incremental Magnetometric ECCM Scanning Array I": "Alumel-Wired Enduring Sensor Booster",
    "Prototype ECCM Radar Sensor Cluster": "Alumel-Wired Enduring Sensor Booster",
    "Prototype ECCM Ladar Sensor Cluster": "Alumel-Wired Enduring Sensor Booster",
    "Prototype ECCM Gravimetric Sensor Cluster": "Alumel-Wired Enduring Sensor Booster",
    "Prototype ECCM Omni Sensor Cluster": "Alumel-Wired Enduring Sensor Booster",
    "Prototype ECCM Magnetometric Sensor Cluster": "Alumel-Wired Enduring Sensor Booster",
    "Prototype Sensor Booster": "Alumel-Wired Enduring Sensor Booster",
    "Thermal Exhaust System I": "Extruded Compact Heat Sink",
    "C4S Coiled Circuit Thermal Radiator": "Extruded Compact Heat Sink",
    "'Skadi' Coolant System I": "Extruded Compact Heat Sink",
    "'Forger' ECCM - Magnetometric I": "'Shady' Sensor Booster",
    "Insulated Stabilizer Array I": "Vortex Compact Magnetic Field Stabilizer",
    "Linear Flux Stabilizer I": "Vortex Compact Magnetic Field Stabilizer",
    "Gauss Field Balancer I": "Vortex Compact Magnetic Field Stabilizer",
    "'Broker' Remote Sensor Dampener I": "'Executive' Remote Sensor Dampener",
    "'Orion' Tracking CPU I": "Optical Compact Tracking Computer",
    "Spot Pulsing ECCM I": "F-23 Compact Remote Sensor Booster",
    "Phased Muon ECCM Caster I": "F-23 Compact Remote Sensor Booster",
    "Connected Remote Sensor Booster": "F-23 Compact Remote Sensor Booster",
    "Small Ohm Capacitor Reserve I": "Small Compact Pb-Acid Cap Battery",
    "Small F-4a Ld-Sulfate Capacitor Charge Unit": "Small Compact Pb-Acid Cap Battery",
    "Small Peroxide Capacitor Power Cell": "Small Compact Pb-Acid Cap Battery",
    "FZ-3 Subversive Spatial Destabilizer ECM": "BZ-5 Scoped Gravimetric ECM",
    "Medium Ohm Capacitor Reserve I": "Medium Compact Pb-Acid Cap Battery",
    "Medium F-4a Ld-Sulfate Capacitor Charge Unit": "Medium Compact Pb-Acid Cap Battery",
    "Medium Peroxide Capacitor Power Cell": "Medium Compact Pb-Acid Cap Battery",
    "Ballistic 'Purge' Targeting System I": "'Full Duplex' Ballistic Control System",
    "Protected Gravimetric Backup Cluster I": "F-89 Compact Signal Amplifier",
    "Protected Ladar Backup Cluster I": "F-89 Compact Signal Amplifier",
    "Protected Magnetometric Backup Cluster I": "F-89 Compact Signal Amplifier",
    "Protected Multi-Frequency Backup Cluster I": "F-89 Compact Signal Amplifier",
    "Protected RADAR Backup Cluster I": "F-89 Compact Signal Amplifier",
    "Reserve Gravimetric Scanners": "F-89 Compact Signal Amplifier",
    "Reserve Ladar Scanners": "F-89 Compact Signal Amplifier",
    "Reserve Magnetometric Scanners": "F-89 Compact Signal Amplifier",
    "Reserve Multi-Frequency Scanners": "F-89 Compact Signal Amplifier",
    "Reserve RADAR Scanners": "F-89 Compact Signal Amplifier",
    "Secure Gravimetric Backup Cluster I": "F-89 Compact Signal Amplifier",
    "Secure Ladar Backup Cluster I": "F-89 Compact Signal Amplifier",
    "Secure Magnetometric Backup Cluster I": "F-89 Compact Signal Amplifier",
    "Secure Radar Backup Cluster I": "F-89 Compact Signal Amplifier",
    "F-43 Repetitive Gravimetric Backup Sensors": "F-89 Compact Signal Amplifier",
    "F-43 Repetitive Ladar Backup Sensors": "F-89 Compact Signal Amplifier",
    "F-43 Repetitive Magnetometric Backup Sensors": "F-89 Compact Signal Amplifier",
    "F-43 Repetitive Multi-Frequency Backup Sensors": "F-89 Compact Signal Amplifier",
    "F-43 Repetitive RADAR Backup Sensors": "F-89 Compact Signal Amplifier",
    "Shielded Gravimetric Backup Cluster I": "F-89 Compact Signal Amplifier",
    "Shielded Ladar Backup Cluster I": "F-89 Compact Signal Amplifier",
    "Shielded Magnetometric Backup Cluster I": "F-89 Compact Signal Amplifier",
    "Shielded Radar Backup Cluster I": "F-89 Compact Signal Amplifier",
    "Surrogate Gravimetric Reserve Array I": "F-89 Compact Signal Amplifier",
    "Surrogate Ladar Reserve Array I": "F-89 Compact Signal Amplifier",
    "Surrogate Magnetometric Reserve Array I": "F-89 Compact Signal Amplifier",
    "Surrogate Multi-Frequency Reserve Array I": "F-89 Compact Signal Amplifier",
    "Surrogate RADAR Reserve Array I": "F-89 Compact Signal Amplifier",
    "Warded Gravimetric Backup Cluster I": "F-89 Compact Signal Amplifier",
    "Warded Ladar Backup Cluster I": "F-89 Compact Signal Amplifier",
    "Warded Magnetometric Backup Cluster I": "F-89 Compact Signal Amplifier",
    "Warded Radar Backup Cluster I": "F-89 Compact Signal Amplifier",
    "'Mendicant' Signal Booster I": "F-89 Compact Signal Amplifier",
    "Wavelength Signal Enhancer I": "F-89 Compact Signal Amplifier",
    "Type-D Attenuation Signal Augmentation": "F-89 Compact Signal Amplifier",
    "Indirect Scanning Dampening Unit I": "Phased Muon Scoped Sensor Dampener",
}
